Fwd: Got a security exception calling SQLJ.INSTALL_JAR with Derby 10.14

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Fwd: Got a security exception calling SQLJ.INSTALL_JAR with Derby 10.14

Bryan Pendleton-3
Yes, this is a known result of  DERBY-6987. The default security
policy file for Derby no longer allows unlimited access to your
computer's local filesystem.

Please see these resource for how to adjust your security settings to
explicitly authorize loading your jar into Derby:

http://db.apache.org/derby/releases/release-10.14.2.0.cgi

https://db.apache.org/derby/docs/10.14/security/csecjavasecurity.html

In particular, see the section on "Backups/imports/jars".

thanks,

bryan



---------- Forwarded message ----------
From:  <[hidden email]>
Date: Sun, Jul 8, 2018 at 11:22 PM
Subject: Got a security exception calling SQLJ.INSTALL_JAR with Derby 10.14
To: [hidden email]


Hi Bryan,

I got following exception with derby 10.14. This exception does not
occur with derby 10.13 but does occur now that I have upgrade to
10.14.2.0.

[sql] Failed to execute:  CALL SQLJ.INSTALL_JAR('./demo.jar',
'CSEM.csemderby', 0)
[sql] java.sql.SQLTransactionRollbackException: The exception
'java.security.AccessControlException: access denied
("java.io.FilePermission" "./demo.jar" "read")' was thrown while
evaluating an expression.

I got the following info in derby.log file.

Wed Jul 04 14:25:03 CST 2018 : Security manager installed using the
Basic server security policy.
Wed Jul 04 14:25:03 CST 2018 : Apache Derby Network Server - 10.14.2.0
- (1828579) started and ready to accept connections on port 1527

The application that is starting the JVM that is running Derby Network
Server has not changed. Only the version of Derby has changed.
So could you please give me any advice to solve the issue ?

Any pointers will be greatly appreciated.


Thanks.
Yan


_____________________________________
Sent from http://apache-database.10148.n7.nabble.com